SDL-JSTEST(1)

NAME
sdl-jstest - joystick test application for SDL

SYNOPSIS
sdl-jstest [- -help] [- -version] [- -list] [- -test JOYNUM] [- -event JOYNUM]

DESCRIPTION

-h, - -help
    Display help text and exit.

- -version
    Display the version number and exit.

- -list
    Search for available joysticks and list their properties.

- -test JOYNUM
    Display a graphical representation of the current joystick state.

- -event JOYNUM
    Display the events that are received from the joystick.

ENVIRONMENT
What SDL detects as axis, what is treated as a hat and what is handled as normal axis can be configured with the environment variable SDL_LINUX_JOYSTICK:

SDL_LINUX_JOYSTICK
    Special joystick configuration string for Unix. The format is "name numaxes numhats numballs" where name is the name string of the joystick (possibly in single quotes), and the rest are the number of axes, hats and balls respectively.

A complete list of which environment variables SDL supports can be found at: http://sdl.beuc.net/sdl.wiki/SDL_envvars

EXAMPLES
A simple example would be:
    $ export SDL_LINUX_JOYSTICK="'Xbox Gamepad (userspace driver)' 6 0 0"

Which makes all axes be handled as normal axis and none as hat, as most games don't use hats.

SEE ALSO
jstest(1), jstest-gtk(1), sdl2-jstest(1), xboxdrv(1)